package com.gree.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum StateEnum implements BaseEnum {
    ON("ON","有效"),
    OFF("OFF","无效");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

    @JsonCreator(mode = JsonCreator.Mode.DELEGATING)
    public static StateEnum create(String key) {
        return BaseEnum.keyToEnum(StateEnum.class, key);
    }
}
